Subject: Re: What's cooking in git.git (Oct 2012, #01; Tue, 2)

From: Michael Haggerty <[email-masked]>
Date: Thu, 04 Oct 2012 17:17:56 +0200

On 10/04/2012 01:46 PM, Nguyen Thai Ngoc Duy wrote:
> On Thu, Oct 4, 2012 at 4:34 PM, Michael Haggerty <[email-masked]> wrote:
>> As for the implementation, it is quite easy to textually convert a glob
>> pattern, including "**" parts, into a regexp.
> 
> Or we could introduce regexp syntax as an alternative and let users
> choose (and pay associated price).

It seems like overkill to me.  For filenames, globs are usually adequate.

>> _filename_char_pattern = r'[^/]'
>> _glob_patterns = [
>>     ('?', _filename_char_pattern),
>>     ('/**', r'(/.+)?'),
>>     ('**/', r'(.+/)?'),
>>     ('*', _filename_char_pattern + r'*'),
>>     ]
> 
> I don't fully understand the rest (never been a big fan of python) but
> what about bracket expressions like [!abc] and [:alnum:]?

You're right; I forgot that the code that I posted doesn't support brackets.

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/